<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE composition PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<!-- 
IGAC proyecto SNC
@author: lorena.salamanca
@modified: javier.barajas modificaciones para trabajar bajo el proceso de actualizacion(similar a l bloqueo en conservacion)
@modified: javier.barajas 12/12/12 inclusion de cabezote de actualizacion, imagenes de botones
  
@cu CU-NP-FA-213 Bloquear predios para zonas en condiciones especiales

-->

<ui:composition xmlns="http://www.w3.org/1999/xhtml"
                xmlns:h="http://java.sun.com/jsf/html"
                xmlns:f="http://java.sun.com/jsf/core"
                xmlns:ui="http://java.sun.com/jsf/facelets"
                xmlns:p="http://primefaces.org/ui"
                xmlns:misc="http://java.sun.com/jsf/composite/misc"
                xmlns:predio="http://java.sun.com/jsf/composite/predio"
                xmlns:actualizacion="http://java.sun.com/jsf/composite/actualizacion"
                template="/templates/generalCU.xhtml">

    <ui:define name="title">
        .::Sistema Nacional Catastral::. .::Bloquear predios para zonas en condiciones especiales::.
    </ui:define>

    <ui:define name="content">

        <h:outputScript library="javascript" name="snc_visor_client.js"
                        target="head" />
        <h:outputStylesheet library="css" name="snc_visor_client.css" />
        <p:ajaxStatus onstart="statusDialog.show();"
                      onsuccess="statusDialog.hide();" onerror="statusDialog.hide();" />
        <p:focus />

        <p:messages id="msgsBloquearPrediosEspeciales" showDetail="false"
                    globalOnly="false" />

        <p:spacer height="30" width="0" />
        <actualizacion:actualizacionResumenCC id="actualizacionResumen"
                                              actualizacionParam="#{bloquearPrediosParaZonasEnCondicionesEspeciales.actualizacionSeleccionada}"/>

        <p:tabView dynamic="true" cache="false" id="bloquearPredioEnCondicionesEspecialesTabView">

            <p:tab title="Bloquear Predios en Condiciones Especiales">
                <h:form id="bloquearPrediosEspecialesForm" prependId="false">


                    <p:fieldset id="bloquearPredioForm2" toggleable="false" 
                                rendered="#{!bloquearPrediosParaZonasEnCondicionesEspeciales.banderaSeleccionVisor}">
                        <legend>
                            <h:outputText value="Elegir bloqueo" styleClass="legendTitle" />
                        </legend>

                        <h:panelGrid columns="2">
                            <h:outputLabel value="Tipo de bloqueo: "
                                           styleClass="outputLabelStyle" />

                            <h:selectOneRadio value="#{bloquearPrediosParaZonasEnCondicionesEspeciales.tipoBloqueo}">
                                <f:selectItem itemLabel="Individual" itemValue="0" />
                                <f:selectItem itemLabel="Por rangos" itemValue="1" />
                                <f:selectItem itemLabel="Masivo" itemValue="2" />
                                <p:ajax update=":bloquearPredioEnCondicionesEspecialesTabView, fInicial1, fs2, fs4"
                                        listener="#{bloquearPrediosParaZonasEnCondicionesEspeciales.bloquearV}" />
                            </h:selectOneRadio>
                        </h:panelGrid>

                    </p:fieldset>

                    <p:spacer height="7" width="0" />

                    <p:fieldset id="bloquearPredioForm3" toggleable="false"
                                rendered="#{!bloquearPrediosParaZonasEnCondicionesEspeciales.laBandera}">
                        <legend>
                            <h:outputText value="Datos del bloqueo" styleClass="legendTitle" />
                        </legend>

                        <p:fieldset id="fs4" rendered="#{!bloquearPrediosParaZonasEnCondicionesEspeciales.tipoBloqueo2}"
                                    style="border:0px">

                            <h:panelGrid columns="10" cellspacing="5"
                                         rendered="#{bloquearPrediosParaZonasEnCondicionesEspeciales.tipoBloqueo0}">

                                <p:spacer height="0" width="7" />
                                <h:panelGrid columns="2">
                                    <h:outputLabel value="Departamento:"
                                                   styleClass="outputLabelStyle" />
                                </h:panelGrid>

                                <h:panelGroup>  
                                    <h:panelGrid columns="3">
                                        <h:selectOneMenu id="bloquearPrediosParaZonasEnCondicionesEspecialessBdepartamento"
                                                         label="Departamento" required="true"
                                                         value="#{bloquearPrediosParaZonasEnCondicionesEspeciales.selectedDepartamentoCod}">
                                            <f:selectItems value="#{bloquearPrediosParaZonasEnCondicionesEspeciales.departamentosItemList}" />
                                            <p:ajax process="@this"  
                                                    oncomplete="funcionCambioDpto(); statusDialog2.hide();"
                                                    update=":bloquearPredioEnCondicionesEspecialesTabView"
                                                    listener="#{bloquearPrediosParaZonasEnCondicionesEspeciales.onChangeDepartamentos}" 
                                                    onstart="statusDialog2.show();"/>
                                        </h:selectOneMenu>

                                        <p:message id="bloquearPrediosParaZonasEnCondicionesEspecialessBdepartamentoMsg"
                                                   for="bloquearPrediosParaZonasEnCondicionesEspecialessBdepartamento" display="icon" />
                                        <p:commandLink id="btnOrdenDepartamentosBP"
                                                       update="btnOrdenDepartamentosBP, bloquearPrediosParaZonasEnCondicionesEspecialessBdepartamento"
                                                       title="Ordenar departamentos"
                                                       action="#{bloquearPrediosParaZonasEnCondicionesEspeciales.cambiarOrdenDepartamentos}"
                                                       ajax="true" immediate="true">
                                            <p:graphicImage
                                                rendered="#{bloquearPrediosParaZonasEnCondicionesEspeciales.departamentosOrderedByNombre}"
                                                style="border: none" value="/images/sortCode.png" />
                                            <p:graphicImage
                                                rendered="#{!bloquearPrediosParaZonasEnCondicionesEspeciales.departamentosOrderedByNombre}"
                                                style="border: none" value="/images/sortText.png" />
                                        </p:commandLink>
                                    </h:panelGrid> 
                                </h:panelGroup>   


                                <h:panelGrid columns="2" rendered="#{not empty bloquearPrediosParaZonasEnCondicionesEspeciales.selectedDepartamentoCod}">
                                    <h:outputLabel value="Municipio:" styleClass="outputLabelStyle" />
                                </h:panelGrid>
                                <h:panelGroup>
                                    <h:panelGrid columns="3" rendered="#{not empty bloquearPrediosParaZonasEnCondicionesEspeciales.selectedDepartamentoCod}">
                                        <h:selectOneMenu id="bloquearPrediosParaZonasEnCondicionesEspecialessBmunicipio"
                                                         label="Municipio"
                                                         value="#{bloquearPrediosParaZonasEnCondicionesEspeciales.selectedMunicipioCod}">
                                            <f:selectItems value="#{bloquearPrediosParaZonasEnCondicionesEspeciales.municipiosItemList}" />
                                            <p:ajax process="@this" oncomplete="funcionCambioMunicipio()" />
                                        </h:selectOneMenu>
                                        <p:message id="municipioBPMsg" for="bloquearPrediosParaZonasEnCondicionesEspecialessBmunicipio"
                                                   display="icon" />
                                        <p:commandLink id="btnOrdenMunicipiosBP"
                                                       update="btnOrdenMunicipiosBP, bloquearPrediosParaZonasEnCondicionesEspecialessBmunicipio"
                                                       title="Ordenar municipios"
                                                       action="#{bloquearPrediosParaZonasEnCondicionesEspeciales.cambiarOrdenMunicipios}" ajax="true"
                                                       immediate="true">
                                            <p:graphicImage
                                                rendered="#{bloquearPrediosParaZonasEnCondicionesEspeciales.municipiosOrderedByNombre}"
                                                style="border: none" value="/images/sortCode.png" />
                                            <p:graphicImage
                                                rendered="#{!bloquearPrediosParaZonasEnCondicionesEspeciales.municipiosOrderedByNombre}"
                                                style="border: none" value="/images/sortText.png" />
                                        </p:commandLink>
                                    </h:panelGrid>

                                </h:panelGroup>
                            </h:panelGrid>

                            <h:panelGrid columns="10" cellspacing="5"
                                         rendered="#{bloquearPrediosParaZonasEnCondicionesEspeciales.tipoBloqueo1}">

                                <p:spacer height="0" width="7" />
                                <h:panelGrid columns="2">
                                    <h:outputLabel value="Departamento:"
                                                   styleClass="outputLabelStyle" />
                                </h:panelGrid>

                                <h:panelGroup>
                                    <h:panelGrid columns="3">
                                        <h:selectOneMenu id="bloquearPrediosParaZonasEnCondicionesEspecialessRdepartamento"
                                                         label="Departamento" required="true"
                                                         value="#{bloquearPrediosParaZonasEnCondicionesEspeciales.selectedDepartamentoCod}">
                                            <f:selectItems value="#{bloquearPrediosParaZonasEnCondicionesEspeciales.departamentosItemList}" />
                                            <p:ajax process="@all"
                                                    oncomplete="funcionCambioDptoRangos()"
                                                    update="bloquearPrediosParaZonasEnCondicionesEspecialessRmunicipio, :bloquearPredioEnCondicionesEspecialesTabView"
                                                    listener="#{bloquearPrediosParaZonasEnCondicionesEspeciales.onChangeDepartamentos}" />
                                        </h:selectOneMenu>
                                        <p:message id="bloquearPrediosParaZonasEnCondicionesEspecialessRdepartamentoMsg"
                                                   for="bloquearPrediosParaZonasEnCondicionesEspecialessRdepartamento" display="icon" />
                                        <p:commandLink id="btnOrdenDepartamentosR"
                                                       update="btnOrdenDepartamentosR, bloquearPrediosParaZonasEnCondicionesEspecialessRdepartamento"
                                                       title="Ordenar departamentos"
                                                       action="#{bloquearPrediosParaZonasEnCondicionesEspeciales.cambiarOrdenDepartamentos}"
                                                       ajax="true" immediate="true">
                                            <p:graphicImage
                                                rendered="#{bloquearPrediosParaZonasEnCondicionesEspeciales.departamentosOrderedByNombre}"
                                                style="border: none" value="/images/sortCode.png" />
                                            <p:graphicImage
                                                rendered="#{!bloquearPrediosParaZonasEnCondicionesEspeciales.departamentosOrderedByNombre}"
                                                style="border: none" value="/images/sortText.png" />
                                        </p:commandLink>
                                    </h:panelGrid> 
                                </h:panelGroup>

                                <h:panelGrid columns="2" rendered="#{not empty bloquearPrediosParaZonasEnCondicionesEspeciales.selectedDepartamentoCod}">
                                    <h:outputLabel value="Municipio:" styleClass="outputLabelStyle" />
                                </h:panelGrid>
                                <h:panelGroup>
                                    <h:panelGrid columns="3" rendered="#{not empty bloquearPrediosParaZonasEnCondicionesEspeciales.selectedDepartamentoCod}">
                                        <h:selectOneMenu id="bloquearPrediosParaZonasEnCondicionesEspecialessRmunicipio"
                                                         label="Municipio"
                                                         value="#{bloquearPrediosParaZonasEnCondicionesEspeciales.selectedMunicipioCod}">
                                            <f:selectItems value="#{bloquearPrediosParaZonasEnCondicionesEspeciales.municipiosItemList}" />
                                            <p:ajax process="@this"
                                                    oncomplete="funcionCambioMunicipioRangos()" />
                                        </h:selectOneMenu>
                                        <p:message id="municipioRMsg" for="bloquearPrediosParaZonasEnCondicionesEspecialessRmunicipio"
                                                   display="icon" />
                                        <p:commandLink id="btnOrdenMunicipiosR"
                                                       update="btnOrdenMunicipiosR, bloquearPrediosParaZonasEnCondicionesEspecialessRmunicipio"
                                                       title="Ordenar municipios"
                                                       action="#{bloquearPrediosParaZonasEnCondicionesEspeciales.cambiarOrdenMunicipios}" ajax="true"
                                                       immediate="true">
                                            <p:graphicImage
                                                rendered="#{bloquearPrediosParaZonasEnCondicionesEspeciales.municipiosOrderedByNombre}"
                                                style="border: none" value="/images/sortCode.png" />
                                            <p:graphicImage
                                                rendered="#{!bloquearPrediosParaZonasEnCondicionesEspeciales.municipiosOrderedByNombre}"
                                                style="border: none" value="/images/sortText.png" />
                                        </p:commandLink>
                                    </h:panelGrid>

                                </h:panelGroup>
                            </h:panelGrid>

                            <p:fieldset id="fInicial1"
                                        rendered="#{bloquearPrediosParaZonasEnCondicionesEspeciales.tipoBloqueo0}" style="border: 0px">
                                <h:panelGrid>

                                    <ui:include src="../../conservacion/numeroPredialConFormato.xhtml">
                                        <ui:param name="objetoContenedorNumeroPredialParam"
                                                  value="#{bloquearPrediosParaZonasEnCondicionesEspeciales.filtroCPredioB}" />
                                        <ui:param name="idParam" value="bloquearPrediosParaZonasEnCondicionesEspecialessB" />
                                        <ui:param name="formPIdParam" value="bloquearPredioEnCondicionesEspecialesTabView" />									
                                    </ui:include>       

                                </h:panelGrid>
                            </p:fieldset>

                            <p:fieldset id="fs2" collapsed="#{!bloquearPrediosParaZonasEnCondicionesEspeciales.tipoBloqueo1}"
                                        style="border:0px">

                                <h:panelGrid id="b01" columns="1"
                                             rendered="#{bloquearPrediosParaZonasEnCondicionesEspeciales.tipoBloqueo1}" style="border:0px">

                                    <ui:include src="../../conservacion/numeroPredialConFormatoBRangos.xhtml">
                                        <ui:param name="objetoContenedorNumeroPredialParam"
                                                  value="#{bloquearPrediosParaZonasEnCondicionesEspeciales.filtroCPredioB}" />
                                        <ui:param name="objetoContenedorNumeroPredialFParam"
                                                  value="#{bloquearPrediosParaZonasEnCondicionesEspeciales.filtroFinalCPredioB}" />
                                        <ui:param name="idParam" value="bloquearPrediosParaZonasEnCondicionesEspecialessR" />
                                        <ui:param name="formPIdParam" value="bloquearPredioEnCondicionesEspecialesTabView" />
                                    </ui:include>

                                </h:panelGrid>
                            </p:fieldset>
                            <p:commandButton value="Adicionar" id="btnValidarDatos"
                                             action="#{bloquearPrediosParaZonasEnCondicionesEspeciales.adicionar}" 
                                             update=":msgsBloquearPrediosEspeciales, :bloquearPredioEnCondicionesEspecialesTabView"
                                             oncomplete="statusDialog2.hide()"
                                             onstart="statusDialog2.show()"
                                             icon="ui-icon-plus"
                                             rendered="#{!bloquearPrediosParaZonasEnCondicionesEspeciales.banderaSeleccionVisor}"
                                             />
                            <p:separator />
                            <p:panel header="Listado de predios a bloquear" rendered="#{bloquearPrediosParaZonasEnCondicionesEspeciales.banderaValidar}">	
                                <h:panelGrid columns="4">
                                    <h:panelGrid columns="2">
                                        <h:panelGrid columns="2">
                                            <h:outputLabel value="Fecha inicial: "
                                                           styleClass="outputLabelStyle" />
                                            <h:outputLabel value="* " styleClass="requiredLabelStyle" />
                                        </h:panelGrid>
                                        <h:panelGrid columns="4">
                                            <p:spacer width="7" height="0" />
                                            <p:calendar id="fechaInicial"
                                                        value="#{bloquearPrediosParaZonasEnCondicionesEspeciales.fechaInicial}" navigator="true"
                                                        label="Fecha inicial" pattern="dd/MM/yyyy" showOn="both"
                                                        title="#{general.formatoFechaUsuario}" tabindex="0" 
                                                        effect="slideDown" required="true" size="12" />
                                            <p:message for="fechaInicial" display="icon"></p:message>
                                        </h:panelGrid>
                                    </h:panelGrid>
                                    <h:panelGrid columns="2">
                                        <h:panelGrid columns="3">
                                            <p:spacer width="1" height="0" />
                                            <h:outputLabel value="Fecha final: "
                                                           styleClass="outputLabelStyle" />
                                            <p:spacer width="1" height="0" />
                                        </h:panelGrid>
                                        <h:panelGrid columns="3">
                                            <p:calendar id="fechaFinal" 
                                                        value="#{bloquearPrediosParaZonasEnCondicionesEspeciales.fechaFinal}" navigator="true"
                                                        label="Fecha final" pattern="dd/MM/yyyy" showOn="both"
                                                        title="#{general.formatoFechaUsuario}" tabindex="0"
                                                        effect="slideDown" size="12" />
                                            <p:message for="fechaFinal" display="icon"></p:message>
                                        </h:panelGrid>
                                    </h:panelGrid>
                                    <h:panelGrid columns="2">
                                        <h:panelGrid columns="2">
                                            <h:outputLabel value="Fecha recibido: "
                                                           styleClass="outputLabelStyle" />
                                            <h:outputLabel value="* " styleClass="requiredLabelStyle" />
                                        </h:panelGrid>
                                        <h:panelGrid columns="3">
                                            <p:calendar id="fechaRecibido" 
                                                        value="#{bloquearPrediosParaZonasEnCondicionesEspeciales.fechaRecibido}" navigator="true"
                                                        label="Fecha de registro" pattern="dd/MM/yyyy" showOn="both"
                                                        title="#{general.formatoFechaUsuario}" tabindex="0"
                                                        effect="slideDown" required="true" size="12" disabled="true" />
                                            <p:message for="fechaRecibido" display="icon"></p:message>
                                        </h:panelGrid>
                                    </h:panelGrid> 
                                </h:panelGrid>    
                                <h:panelGrid width="40%">
                                    <p:dataTable var="predioBloqueo" value="#{bloquearPrediosParaZonasEnCondicionesEspeciales.prediosSeleccionados}"
                                                 id="predioBloqueoTable" paginator="true" rows="10"
                                                 paginatorTemplate="{RowsPerPageDropdown} {FirstPageLink} {PreviousPageLink} {CurrentPageReport} {NextPageLink} {LastPageLink}"
                                                 paginatorPosition="bottom" rowsPerPageTemplate="5,10,20"
                                                 rowKey="#{predioBloqueo}" selection="bloquearPrediosParaZonasEnCondicionesEspeciales.prediosSelectTipo1"
                                                 emptyMessage="No se encontraron predios a bloquear"
                                                 rendered="#{!bloquearPrediosParaZonasEnCondicionesEspeciales.banderaVariosPredios}">

                                        <p:ajax event="rowSelect"
                                                listener="#{bloquearPrediosParaZonasEnCondicionesEspeciales.rowSelected}" process="@form"
                                                update=":msgsBloquearPrediosEspeciales, :bloquearPredioEnCondicionesEspecialesTabView" />

                                        <p:column selectionMode="single"/>

                                        <p:column headerText="Numero Predial">
                                            <h:outputText value="#{predioBloqueo.numeroPredial}" />
                                        </p:column>
                                    </p:dataTable>					

                                    <p:dataTable id="predioBloqueoTableVarios" var="predioBloqueoVarios" 
                                                 value="#{bloquearPrediosParaZonasEnCondicionesEspeciales.prediosSeleccionados}"
                                                 paginator="true" rows="10"
                                                 paginatorTemplate="{RowsPerPageDropdown} {FirstPageLink} {PreviousPageLink} {CurrentPageReport} {NextPageLink} {LastPageLink}"
                                                 paginatorPosition="bottom" rowsPerPageTemplate="5,10,15"
                                                 rowKey="#{predioBloqueoVarios}" selection="#{bloquearPrediosParaZonasEnCondicionesEspeciales.prediosSelectTipo}"
                                                 emptyMessage="No se encontraron predios a bloquear"
                                                 rendered="#{bloquearPrediosParaZonasEnCondicionesEspeciales.banderaVariosPredios}">
                                        <p:ajax event="rowSelect"
                                                listener="#{bloquearPrediosParaZonasEnCondicionesEspeciales.rowSelected}" process="@form"
                                                update=":msgsBloquearPrediosEspeciales, :bloquearPredioEnCondicionesEspecialesTabView" />

                                        <p:column selectionMode="multiple"/>

                                        <p:column headerText="Numero Predial">
                                            <h:outputText value="#{predioBloqueoVarios.numeroPredial}" />
                                        </p:column>
                                    </p:dataTable>					


                                </h:panelGrid>
                                <h:panelGrid columns="2">
                                    <h:outputLabel value="Motivo del bloqueo" styleClass="outputLabelStyle"/>
                                    <h:inputTextarea rows="5" cols="50"
                                                     value="#{bloquearPrediosParaZonasEnCondicionesEspeciales.motivoBloqueo}" />

                                    <p:commandButton value="Retirar Predios" id="btnRetirarPredios" process="@this" 
                                                     disabled="#{bloquearPrediosParaZonasEnCondicionesEspeciales.banderaBotonRetirar}"
                                                     action="#{bloquearPrediosParaZonasEnCondicionesEspeciales.retirarPredios}" 
                                                     update=":msgsBloquearPrediosEspeciales, :bloquearPredioEnCondicionesEspecialesTabView"
                                                     icon="ui-icon-trash"
                                                     oncomplete="limpiarContenido()"/>	

                                    <p:commandButton value="Cargar documento soporte"
                                                     id="btnCargaDocumentoSoporte" process="@form"
                                                     action="#{bloquearPrediosParaZonasEnCondicionesEspeciales.cargarDocumentoSoporte}" 
                                                     update=":msgsBloquearPrediosEspeciales, :bloquearPredioEnCondicionesEspecialesTabView"
                                                     icon="ui-icon-document"/>

                                    <p:commandButton value="Bloquear" 
                                                     action="#{bloquearPrediosParaZonasEnCondicionesEspeciales.bloquearPredioBoton}"
                                                     update=":msgsBloquearPrediosEspeciales, :bloquearPredioEnCondicionesEspecialesTabView"
                                                     process="@this"
                                                     icon="ui-icon-circle-check"/>
                                </h:panelGrid>
                            </p:panel>
                        </p:fieldset>
                        <p:fieldset id="fs5" rendered="#{bloquearPrediosParaZonasEnCondicionesEspeciales.tipoBloqueo2}"
                                    style="border:0px">
                            <h:panelGrid columns="1">
                                <h:outputLabel value="Nota: " styleClass="outputLabelStyle" />

                                <h:outputText
                                    value="Utilice la opción de bloqueo masivo solo si cuenta con un archivo de soporte y un archivo de bloqueo masivo con la estructura adecuada."
                                    styleClass="outputTextStyle" />

                                <p:spacer width="0" height="10" />
                                <p:commandButton value="#{bloquearPrediosParaZonasEnCondicionesEspeciales.mensajeCargaArchivo}"
                                                 action="#{bloquearPrediosParaZonasEnCondicionesEspeciales.inicializarDatosArchivoBloqueoMasivo}"
                                                 id="btnCargarArchivo" onclick="gestionarArchivosP.show()"
                                                 disabled="#{!bloquearPrediosParaZonasEnCondicionesEspeciales.banderaValidar}"
                                                 icon="ui-icon-document"
                                                 rendered="#{bloquearPrediosParaZonasEnCondicionesEspeciales.tipoBloqueo2}" />
                            </h:panelGrid>
                        </p:fieldset>

                    </p:fieldset>
                    <p:panel style="border: 0px" rendered="#{bloquearPrediosParaZonasEnCondicionesEspeciales.laBandera}">
                        <h:panelGrid columns="1">
                            <p:spacer width="0" height="15" />
                            <h:outputText
                                value="Para bloquear uno o varios predios debe contar con el archivo de soporte del bloqueo "
                                styleClass="outputTextStyle"
                                style="position: relative; left: 10px;" />
                            <p:spacer width="0" height="10" />

                            <p:commandButton value="#{bloquearPrediosParaZonasEnCondicionesEspeciales.mensajeCargaArchivo}"
                                             action="#{bloquearPrediosParaZonasEnCondicionesEspeciales.inicializarDatosArchivoBloqueo}"
                                             id="btnCargarArchivo2" onclick="gestionarArchivoP.show()"
                                             disabled="#{!bloquearPrediosParaZonasEnCondicionesEspeciales.banderaValidar}"
                                             icon="ui-icon-document"
                                             rendered="#{!bloquearPrediosParaZonasEnCondicionesEspeciales.tipoBloqueo2}" />
                        </h:panelGrid>
                    </p:panel>
                </h:form>
            </p:tab>
        </p:tabView>
        <h:form>
            <p:panel header="Selección por Mapa">
                <p:commandButton id="cargarVisor" widgetVar="cargarVisorWV" icon="ui-icon-image"
                                 value="Selección por Visor" immediate="true" 
                                 oncomplete="bloqueoZonasEspecialesSeleccionConSIGWV.show();"/>

            </p:panel>
        </h:form>
        <h:form prependId="false">
            <p:spacer height="0" width="30" />

            <p:separator style="width:925px;height:3px" />
            <p:spacer height="7" width="0" />
            <p:outputPanel layout="block" style="text-align:right">
                <p:commandButton value="Cerrar" icon="ui-icon-circle-close"
                                 action="#{tareasPendientes.cerrar}" ajax="false" immediate="true" />
                <p:spacer height="0" width="30" />
            </p:outputPanel>
            <p:spacer height="20" width="0" />
        </h:form>

        <p:dialog header="Gestionar archivos" widgetVar="gestionarArchivosP"
                  modal="true" appendToBody="true" resizable="false" position="center"
                  height="480" width="600" >
            <p:ajax event="close" listener="#{bloquearPrediosParaZonasEnCondicionesEspeciales.cerrarEsc}" update=":msgsDP2"/>
            <ui:include src="gestionArchivosCondicionesEspeciales.xhtml" />
        </p:dialog>

        <p:dialog header="Gestionar archivo" widgetVar="gestionarArchivoP"
                  modal="true" appendToBody="true" resizable="true" position="center"
                  height="360" width="480" >
            <p:ajax event="close" listener="#{bloquearPrediosParaZonasEnCondicionesEspeciales.cerrarEsc}" update=":msgsDP22"/>
            <ui:include src="gestionAPredioCondicionesEspeciales.xhtml" />
        </p:dialog>

        <misc:confirmationDialogWithCloseDecisionCC id="mensajeConfirmacion"
                                                    confirmMessage="#{bloquearPrediosParaZonasEnCondicionesEspeciales}" confirmUpdate="msgInfoFis"
                                                    confirmAction="#{bloquearPrediosParaZonasEnCondicionesEspeciales.terminarYBloquearOtroP}"
                                                    noAction="#{bloquearPrediosParaZonasEnCondicionesEspeciales.terminar}"
                                                    confirmDialogWV="guardarPredioBloqueoWV" ajaxBehavior="false" />

        <misc:docViewerWithCloseDecisionCC id="docViewer"
                                           confirmMessage="#{bloquearPrediosParaZonasEnCondicionesEspeciales}" confirmUpdate="msgInfoFis"
                                           confirmAction="#{bloquearPrediosParaZonasEnCondicionesEspeciales.terminarYBloquearOtroP}"
                                           noAction="#{bloquearPrediosParaZonasEnCondicionesEspeciales.terminar}" confirmDialogWV="docViewerWV"
                                           ajaxBehavior="false"
                                           selectedDocumentAtt="#{bloquearPrediosParaZonasEnCondicionesEspeciales.documentoResultadoBloqueoMasivo}"
                                           doctypeAtt="#{bloquearPrediosParaZonasEnCondicionesEspeciales.doctypeDocumentoResultado}"
                                           headerLabel="Resumen de bloqueo masivo de predios" />

        <misc:docViewerWithCloseDecisionCC id="docVDocSoporte"
                                           confirmMessage="#{previsualizacionDocumento}" confirmUpdate=":msgsBP"
                                           confirmAction="#{previsualizacionDocumento.cerrarVistaPreliminarDocumento}"
                                           confirmDialogWV="docViewerDSWV" ajaxBehavior="true"
                                           noRendered="false" yesLabel="Aceptar"
                                           selectedDocumentAtt="#{previsualizacionDocumento.rutaArchivoTemporal}"
                                           doctypeAtt="#{previsualizacionDocumento.tipoMimeDocumento}"
                                           showDownloadButton="#{previsualizacionDocumento.documentoDwg}"
                                           fileContent="#{previsualizacionDocumento.reporteDTO.streamedContentReporte}"
                                           headerLabel="Documento soporte de bloqueo de predio(s)" />

        <p:dialog widgetVar="bloqueoZonasEspecialesSeleccionConSIGWV"
                  header="Bloqueo de Zonas Especiales con Visor SIG" appendToBody="true"
                  closable="true" dynamic="false" resizable="false" minimizable="false"
                  modal="true" width="350" position="0, 0">			
            <ui:include src="bloquearPrediosParaZonasEspecialesSeleccionVisorGeografico.xhtml" />

        </p:dialog>

    </ui:define>
</ui:composition>